artdaq Utilities - Bug #15356

daqginterface fails to boot the system when there are no boardreader log files
01/28/2017 03:40 PM - Kurt Biery

Status: Resolved Start date: 01/28/2017
Priority: Normal Due date:

Assignee: % Done: 100%
Category: artdag-dagqinterface Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Experiment: - Co-Assignees:

Description

This is probably a low-priority issue, but I've noticed that when | start with a freshly installed system, daginterface fails to boot the
system until there are one or more boardreader*.log files in the boardreader log subdirectory.

Associated revisions

Revision 360720e3 - 01/31/2017 01:56 PM - John Freeman

JCF: in response to Kurt's Redmine Issue #15356, I've added logic whereby DAQInterface will check the logfile directory for the expected logfiles up
to five times before giving up and throwing an exception

History

#1 - 01/31/2017 02:03 PM - John Freeman
- Status changed from New to Resolved

- % Done changed from 0 to 100

I'm dealing with this via commit 360720e3157bb64abc72cd444b80b3b5579a7e7e. DAQInterface will check for the logfiles up to five times (with a
2-second pause between each check) before giving up. This way on a freshly-installed system a little time will be granted for the logfiles to show up
before an exception is thrown.

#2 - 02/10/2017 01:06 PM - Eric Flumerfelt

- Category set to artdaq-daqinterface
